From 088ea2afb5ec327cd05815bc30518279da4688d6 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:38:29 +0000
Subject: [PATCH 7/51] load raw YAML dict for low-level checks


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 47d95d6..b9d44f5 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -1,6 +1,7 @@
 import inspect
 
 import modulemd
+import yaml
 
 
 class guidelines_link(object):
@@ -79,6 +80,9 @@ class ModuleMDLinter(object):
 
         mmd.loads(self.modulemd_str)
 
+        self.yaml_doc = yaml.safe_load(self.modulemd_str)
+        self.yaml_data = self.yaml_doc['data']
+
     def lint(self, levels=LintLevelDecorator.all_levels):
         assert set(levels) <= LintLevelDecorator.all_levels
 
diff --git a/src/setup.py b/src/setup.py
index 40ad2d4..284c2ae 100644
--- a/src/setup.py
+++ b/src/setup.py
@@ -30,6 +30,7 @@ setup(
         'requests-toolbelt',
         'lxml',
         'attrs',
+        'yaml',
     ],
     packages=find_packages(),
 )

